## libkdcraw 25.08.2

=== debian/changelog ===
libkdcraw (25.08.2-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 02:50:49 +0000

libkdcraw (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:47:43 +0000

libkdcraw (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:05:49 +0000

libkdcraw (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:32:22 +0000

libkdcraw (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:53:53 +0000

libkdcraw (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:01:57 +0000

libkdcraw (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:44:14 +0000

libkdcraw (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:58:18 +0000

libkdcraw (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:27:00 +0000

libkdcraw (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:57:52 +0000

libkdcraw (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:49:30 +0000

libkdcraw (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:45:12 +0000

libkdcraw (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:00:29 +0000

libkdcraw (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:32:51 +0000

libkdcraw (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:04:24 +0000

libkdcraw (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:57:01 +0000

libkdcraw (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:36:15 +0000

libkdcraw (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:00:07 +0000

libkdcraw (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:43:29 +0000

libkdcraw (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:33:50 +0000

libkdcraw (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:13:06 +0000

libkf5kdcraw (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:33:34 +0000

libkf5kdcraw (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:51:17 +0000

libkf5kdcraw (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:18:00 +0000

libkf5kdcraw (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:21:47 +0000

libkf5kdcraw (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:18:38 +0000

libkf5kdcraw (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:57:11 +0000

libkf5kdcraw (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:19:33 +0000

libkf5kdcraw (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:48:50 +0000

libkf5kdcraw (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:28:54 +0000

libkf5kdcraw (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:01:22 +0000

libkf5kdcraw (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:07:05 +0000

libkf5kdcraw (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:30:25 +0000

libkf5kdcraw (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:46:29 +0000

libkf5kdcraw (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:28:59 +0000

libkf5kdcraw (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:15:50 +0000

libkf5kdcraw (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:38:37 +0000

libkf5kdcraw (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:33:42 +0000

libkf5kdcraw (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:48:27 +0000

libkf5kdcraw (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:08 +0000

libkf5kdcraw (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:05 +0000

libkf5kdcraw (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:17:27 +0000

libkf5kdcraw (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:55:13 +0000

libkf5kdcraw (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:46 +0000

libkf5kdcraw (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:46:16 +0000

libkf5kdcraw (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:10 +0000



=== debian/control ===
Source: libkdcraw
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libraw-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkdcraw.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkdcraw
Maintainer: Neon CI <neon@kde.org>

Package: libkdcraw-dev
Section: libdevel
Architecture: any
Depends: libkdcraw (= ${binary:Version}),
         pkgconf,
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkdcrawqt6-dev (<< 24.02.1)
Provides: libkdcrawqt6-dev, libkf6kdcraw-dev
Replaces: libkdcrawqt6-dev, libkf6kdcraw-dev
Description: RAW picture decoding library -- development files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

Package: libkdcraw
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkdcrawqt6 (<< 24.02.1)
Provides: libkdcrawqt6, libkf6kdcraw, libkf6kdcraw5, libkf6kdcraw6
Replaces: libkdcrawqt6, libkf6kdcraw, libkf6kdcraw5, libkf6kdcraw6
Description: RAW picture decoding library
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 This package contains the shared library.

Package: libkdcrawqt6
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkdcraw, ${misc:Depends}
Description: Dummy Package
 Transitional package.

Package: libkdcrawqt6-dev
Architecture: all
Section: oldlibs
Priority: optional
Depends: libkdcraw-dev, ${misc:Depends}
Description: Dummy Package
 Transitional package.

## libkdcraw 25.08.3

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2010-2015 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

set(CMAKE_MIN_VERSION   "3.16.0")
set(ECM_MIN_VERSION     "5.91.0")
set(QT_MIN_VERSION      "5.15.0")
set(LIBRAW_MIN_VERSION  "0.18")

cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

project(libkdcraw)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

# ==================================================================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0  (KDE3)
# 0.1.1 => 1.0.0  (KDE3)
# 0.1.2 => 2.0.0  (KDE3)
# 0.1.3 => 2.1.0  (KDE3)
# 0.1.4 => 3.0.0  (KDE3)
# 0.1.5 => 4.0.0  (KDE3)
# 0.2.0 => 5.0.0  (released with KDE 4.1.0)
# 0.3.0 => 6.0.0  (released with KDE 4.1.2)
# 0.4.0 => 7.0.0  (using libRaw-Released with KDE 4.2.0)
# 0.5.0 => 7.1.0  (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0  (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0  (Released with KDE 4.4.2)
# 1.2.0 => 9.0.0  (Released with KDE 4.5.0)
# 1.3.0 => 10.0.0 (Released with KDE 4.6.0)
# 2.0.0 => 20.0.0 (Released with KDE 4.7.0)
# 2.0.1 => 20.0.1 (Released with KDE 4.8.0  - Introducing new deprecated members due to use libraw 0.14.x)
# 2.1.0 => 21.0.0 (Released with KDE 4.8.1  - Remove deprecated members)
# 2.2.0 => 22.0.0 (Released with KDE 4.10.0 - Including RawSpeed Codec)
# 2.3.0 => 22.1.0 (Released with KDE 4.11.0 - Including Coverity Report fixes)
# 2.3.1 => 22.1.1 (Released with KDE 4.11.2 - Including settings widget fixes)
# 2.4.0 => 23.0.2 (Released with KDE 4.12.0 - Drop internal Libraw source code + new methods to get thumb and preview from QBuffer)
# 5.0.0 => 5      (Released with KDE Applications)

# Library API version
SET(KDCRAW_LIB_MAJOR_VERSION "5")
SET(KDCRAW_LIB_MINOR_VERSION "0")
SET(KDCRAW_LIB_PATCH_VERSION "0")

SET(LIBKDCRAW_LIB_VERSION "${KDCRAW_LIB_MAJOR_VERSION}.${KDCRAW_LIB_MINOR_VERSION}.${KDCRAW_LIB_PATCH_VERSION}")
SET(LIBKDCRAW_SO_VERSION   5)

############## ECM setup ######################

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${libkdcraw_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(FeatureSummary)

############## Find Packages ###################

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.5.0")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE
    COMPONENTS
        Core
        Gui
)

find_package(LibRaw ${LIBRAW_MIN_VERSION} REQUIRED)
set_package_properties("LibRaw"    PROPERTIES
    DESCRIPTION "Required to build libkdcraw"
    URL         "https://www.libraw.org"
    TYPE        RECOMMENDED
    PURPOSE     "Library to decode RAW image"
)

############## Targets #########################

if (QT_MAJOR_VERSION STREQUAL "6")
    ecm_set_disabled_deprecation_versions(
        QT 6.5
    )
else()
    ecm_set_disabled_deprecation_versions(
        QT 5.15
    )
endif()

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2010-2015 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

if (QT_MAJOR_VERSION STREQUAL "5")
    set(KDCRAW_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KDCRAW")
    set(KDCRAW_CMAKECONFIG_NAME "KF5KDcraw")
    set(LIBRARYFILE_NAME "KF5KDcraw")
    set(TARGET_EXPORT_NAME "KDcraw")
    set(NAMESPACE_NAME "KF5::")
else()
    set(KDCRAW_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDcrawQt6")
    set(KDCRAW_CMAKECONFIG_NAME "KDcrawQt6")
    set(LIBRARYFILE_NAME "KDcrawQt6")
    set(TARGET_EXPORT_NAME "KDcrawQt6")
    set(NAMESPACE_NAME "")
endif()

ecm_setup_version(${LIBKDCRAW_LIB_VERSION}
    VARIABLE_PREFIX      KDCRAW
    VERSION_HEADER       "libkdcraw_version.h"
    PACKAGE_VERSION_FILE "${KDCRAW_CMAKECONFIG_NAME}ConfigVersion.cmake"
    SOVERSION            ${LIBKDCRAW_SO_VERSION}
)

kde_enable_exceptions()

add_library(KDcraw SHARED)

set_target_properties(KDcraw PROPERTIES
    VERSION     ${KDCRAW_VERSION}
    SOVERSION   ${KDCRAW_SOVERSION}
    OUTPUT_NAME ${LIBRARYFILE_NAME}
    EXPORT_NAME ${TARGET_EXPORT_NAME}
)

target_sources(KDcraw PRIVATE
    kdcraw.cpp
    kdcraw_p.cpp
    dcrawinfocontainer.cpp
    rawdecodingsettings.cpp
)

ecm_qt_declare_logging_category(KDcraw
    HEADER libkdcraw_debug.h
    IDENTIFIER LIBKDCRAW_LOG
    CATEGORY_NAME "libkdcraw"
    DESCRIPTION "libkdcraw"
    EXPORT KDCRAW
)

ecm_generate_headers(kdcraw_CamelCase_HEADERS
    HEADER_NAMES
        KDcraw
        DcrawInfoContainer
        RawDecodingSettings
        RawFiles
    PREFIX KDCRAW
    REQUIRED_HEADERS kdcraw_HEADERS
)

if (QT_MAJOR_VERSION STREQUAL "5")
    set(_generate_export_header_version_args)
else()
    # For Qt6/KF6 world transitively include the version header
    if(ECM_VERSION VERSION_LESS "5.105")
        set(include_version_header_code "#include <libkdcraw_version.h>\n")
        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
    else()
        set(_generate_export_header_version_args USE_VERSION_HEADER)
    endif()
endif()
ecm_generate_export_header(KDcraw
    BASE_NAME libkdcraw
    VERSION ${LIBKDCRAW_LIB_VERSION}
    DEPRECATED_BASE_VERSION 0
    ${_generate_export_header_version_args}
)

target_include_directories(KDcraw
    INTERFACE
        "$<INSTALL_INTERFACE:${KDCRAW_INSTALL_INCLUDEDIR};${KDCRAW_INSTALL_INCLUDEDIR}/kdcraw>"
)

target_link_libraries(KDcraw
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Gui
    PRIVATE
        LibRaw::LibRaw
)

install(TARGETS KDcraw
    EXPORT KDcrawTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES 
    ${kdcraw_CamelCase_HEADERS}
    DESTINATION ${KDCRAW_INSTALL_INCLUDEDIR}/KDCRAW
    COMPONENT   Devel
)

install(FILES
    ${kdcraw_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/libkdcraw_export.h
    DESTINATION ${KDCRAW_INSTALL_INCLUDEDIR}/kdcraw
    COMPONENT   Devel
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/libkdcraw_version.h"
    DESTINATION "${KDCRAW_INSTALL_INCLUDEDIR}"
    COMPONENT   Devel
)

ecm_qt_install_logging_categories(
    EXPORT KDCRAW
    FILE libkdcraw.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

############## CMake Config Files ##############

message("${CMAKECONFIG_INSTALL_DIR}")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KDCRAW_CMAKECONFIG_NAME}")

configure_package_config_file(
    "${CMAKE_SOURCE_DIR}/cmake/templates/KDcrawConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${KDCRAW_CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${KDCRAW_CMAKECONFIG_NAME}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${KDCRAW_CMAKECONFIG_NAME}ConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT   Devel
)

install(EXPORT KDcrawTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE        ${KDCRAW_CMAKECONFIG_NAME}Targets.cmake
    NAMESPACE   ${NAMESPACE_NAME}
)

=== debian/changelog ===
libkdcraw (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:19:05 +0000

libkdcraw (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:55:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5

override_dh_auto_configure-arch:
	dh_auto_configure -- -DENABLE_DOCS=OFF -DQT_MAJOR_VERSION=5
	dh_auto_configure --builddirectory=build-qt6 -- -DENABLE_DOCS=OFF -DQT_MAJOR_VERSION=6

override_dh_auto_configure-indep:
	dh_auto_configure -- -DENABLE_DOCS=ON -DQT_MAJOR_VERSION=5
	dh_auto_configure --builddirectory=build-qt6 -- -DENABLE_DOCS=ON -DQT_MAJOR_VERSION=6

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt6

## libkdcraw 25.08.3+p24.04+vstable+git20251109.0303

=== debian/changelog ===
libkdcraw (25.08.3+p24.04+vstable+git20251109.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:03:32 +0000

libkdcraw (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:35 +1000

## libkdcraw 25.11.80

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 kde_enable_exceptions()
 
-add_library(KDcraw SHARED)
+add_library(KDcraw)
 
 set_target_properties(KDcraw PROPERTIES
     VERSION     ${KDCRAW_VERSION}

=== debian/changelog ===
libkdcraw (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:56:30 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/libkdcraw-([\d.]+)\.tar\.xz

## libkdcraw 25.11.90

=== debian/changelog ===
libkdcraw (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:15:06 +0000

## libkdcraw 25.12.0

=== debian/changelog ===
libkdcraw (25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:20:41 +0000

libkdcraw (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:28 +1000

## libkdcraw 25.12.0+p24.04+vstable+git20251208.1249

=== debian/changelog ===
libkdcraw (25.12.0+p24.04+vstable+git20251208.1249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:49:04 +0000

## libkdcraw 25.12.0+p24.04+vunstable+git20251208.1250

=== debian/changelog ===
libkdcraw (25.12.0+p24.04+vunstable+git20251208.1250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:50:30 +0000

## libkdcraw 25.12.1

=== debian/changelog ===
libkdcraw (25.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.1).
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jan 2026 21:13:17 -0500

=== debian/control ===
Source: libkdcraw
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.0.0~),
               libraw-dev (>= 0.18),
               libx11-dev,
               libxkbcommon-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/graphics/libkdcraw
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdcraw
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdcraw.git
Description: RAW picture decoding library
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.

Package: libkf5kdcraw-dev
Section: libdevel
Architecture: any
Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends},
Description: ${source:Synopsis} -- development files
 ${source:Extended-Description}
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

Package: libkf5kdcraw5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 This package contains the shared library.

Package: libkdcrawqt6-dev
Section: libdevel
Architecture: any
Depends: libkdcrawqt6-5 (= ${binary:Version}), ${misc:Depends},
Description: RAW picture decoding library qt6 -- development files
 Libkdcraw is a Qt6 interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

Package: libkdcrawqt6-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: RAW picture decoding library qt6
 Libkdcraw is a Qt6 interface to the libraw library used to decode
 RAW picture files.
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 This package contains the shared library.

=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/release-service/([\d.]+)/src/
Matching-Pattern: libkdcraw-([\d.]+)\.tar\.xz
Pgpsigurlmangle: s/$/.sig/

## libkdcraw 25.12.1+p24.04+vstable+git20260106.1447

=== debian/changelog ===
libkdcraw (25.12.1+p24.04+vstable+git20260106.1447-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:47:30 +0000

libkdcraw (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:20:30 +1000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libkdcraw-([\d.]+).tar.xz

## libkdcraw 25.12.1+p24.04+vunstable+git20260106.1447

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #
 
 set(CMAKE_MIN_VERSION   "3.16.0")
-set(ECM_MIN_VERSION     "5.91.0")
-set(QT_MIN_VERSION      "5.15.0")
+set(ECM_MIN_VERSION     "6.0.0")
+set(QT_MIN_VERSION      "6.5.0")
 set(LIBRAW_MIN_VERSION  "0.18")
 
 cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})
@@ -71,11 +71,7 @@
 
 ############## Find Packages ###################
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(QT_MIN_VERSION "6.5.0")
-endif()
-
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE
     COMPONENTS
         Core
         Gui
@@ -91,15 +87,9 @@
 
 ############## Targets #########################
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    ecm_set_disabled_deprecation_versions(
-        QT 6.5
-    )
-else()
-    ecm_set_disabled_deprecation_versions(
-        QT 5.15
-    )
-endif()
+ecm_set_disabled_deprecation_versions(
+    QT 6.5
+)
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,19 +4,11 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #
 
-if (QT_MAJOR_VERSION STREQUAL "5")
-    set(KDCRAW_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KDCRAW")
-    set(KDCRAW_CMAKECONFIG_NAME "KF5KDcraw")
-    set(LIBRARYFILE_NAME "KF5KDcraw")
-    set(TARGET_EXPORT_NAME "KDcraw")
-    set(NAMESPACE_NAME "KF5::")
-else()
-    set(KDCRAW_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDcrawQt6")
-    set(KDCRAW_CMAKECONFIG_NAME "KDcrawQt6")
-    set(LIBRARYFILE_NAME "KDcrawQt6")
-    set(TARGET_EXPORT_NAME "KDcrawQt6")
-    set(NAMESPACE_NAME "")
-endif()
+set(KDCRAW_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDcrawQt6")
+set(KDCRAW_CMAKECONFIG_NAME "KDcrawQt6")
+set(LIBRARYFILE_NAME "KDcrawQt6")
+set(TARGET_EXPORT_NAME "KDcrawQt6")
+set(NAMESPACE_NAME "")
 
 ecm_setup_version(${LIBKDCRAW_LIB_VERSION}
     VARIABLE_PREFIX      KDCRAW
@@ -61,22 +53,11 @@
     REQUIRED_HEADERS kdcraw_HEADERS
 )
 
-if (QT_MAJOR_VERSION STREQUAL "5")
-    set(_generate_export_header_version_args)
-else()
-    # For Qt6/KF6 world transitively include the version header
-    if(ECM_VERSION VERSION_LESS "5.105")
-        set(include_version_header_code "#include <libkdcraw_version.h>\n")
-        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
-    else()
-        set(_generate_export_header_version_args USE_VERSION_HEADER)
-    endif()
-endif()
 ecm_generate_export_header(KDcraw
     BASE_NAME libkdcraw
     VERSION ${LIBKDCRAW_LIB_VERSION}
     DEPRECATED_BASE_VERSION 0
-    ${_generate_export_header_version_args}
+    USE_VERSION_HEADER
 )
 
 target_include_directories(KDcraw
@@ -86,8 +67,8 @@
 
 target_link_libraries(KDcraw
     PUBLIC
-        Qt${QT_MAJOR_VERSION}::Core
-        Qt${QT_MAJOR_VERSION}::Gui
+        Qt6::Core
+        Qt6::Gui
     PRIVATE
         LibRaw::LibRaw
 )

=== debian/changelog ===
libkdcraw (25.12.1+p24.04+vunstable+git20260106.1447-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:47:22 +0000

## libkdcraw 25.12.2

=== debian/changelog ===
libkdcraw (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:30:40 +0000

libkdcraw (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:29:49 +0000

libkdcraw (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:15:51 +0000

libkdcraw (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:34:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libkdcraw
 Section: kde
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16.0~),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                libraw-dev (>= 0.18),
                libx11-dev,
@@ -15,8 +16,8 @@
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/graphics/libkdcraw
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdcraw
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdcraw.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
 Description: RAW picture decoding library
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.
@@ -24,7 +25,8 @@
 Package: libkf5kdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends},
+Depends: libkf5kdcraw5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: ${source:Synopsis} -- development files
  ${source:Extended-Description}
  .
@@ -46,7 +48,8 @@
 Package: libkdcrawqt6-dev
 Section: libdevel
 Architecture: any
-Depends: libkdcrawqt6-5 (= ${binary:Version}), ${misc:Depends},
+Depends: libkdcrawqt6-5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: RAW picture decoding library qt6 -- development files
  Libkdcraw is a Qt6 interface to the libraw library used to decode
  RAW picture files.

## libkdcraw 25.12.2+p24.04+vstable+git20260206.1524

=== debian/changelog ===
libkdcraw (25.12.2+p24.04+vstable+git20260206.1524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:24:32 +0000

libkdcraw (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:26:13 +0000
